Skip to content
Snippets Groups Projects
Commit a8cbb919 authored by garciadeblas's avatar garciadeblas
Browse files

Changes in RO jenkins jobs to support compilation of a specific GIT_COMMIT from gerrit


Change-Id: Idb0f8fa7a0ed2739349a4c7784583f2405a08e87
Signed-off-by: default avatargarciadeblas <gerardo.garciadeblas@telefonica.com>
parent d391b9a9
No related branches found
No related tags found
No related merge requests found
...@@ -33,14 +33,19 @@ else ...@@ -33,14 +33,19 @@ else
git clone $OSM_GIT_URL/$OSM_MDG git clone $OSM_GIT_URL/$OSM_MDG
cd $OSM_MDG cd $OSM_MDG
fi fi
if [ $# -gt 0 ]; then
git checkout $1
fi
INFO "starting build" INFO "starting build"
### for start_build ### for start_build
### put your commands here to ### put your commands here to
### build, test and produce coverage reports ### build, test and produce coverage reports
#RC=0 rm *.pyc
RC=`python -m py_compile *.py` python -m py_compile *.py
RC=$?
INFO "done, RC=$RC" INFO "done, RC=$RC"
exit $RC exit $RC
......
...@@ -25,6 +25,7 @@ OSM_JENKINS=$(dirname $HERE) ...@@ -25,6 +25,7 @@ OSM_JENKINS=$(dirname $HERE)
[ $# -eq 1 ] || FATAL "arg is MDG name" [ $# -eq 1 ] || FATAL "arg is MDG name"
export OSM_MDG=$1 export OSM_MDG=$1
shift
OSM_load_config OSM_load_config
if ! container_exists $OSM_BUILD_CONTAINER; then if ! container_exists $OSM_BUILD_CONTAINER; then
...@@ -53,7 +54,7 @@ else ...@@ -53,7 +54,7 @@ else
fi fi
fi fi
container_exec $OSM_BUILD_CONTAINER ./devops/jenkins/$OSM_MDG/start_build container_exec $OSM_BUILD_CONTAINER ./devops/jenkins/$OSM_MDG/start_build $*
RC=$? RC=$?
INFO "$OSM_MDG build complete. Return code was $RC" INFO "$OSM_MDG build complete. Return code was $RC"
exit $RC exit $RC
......
0% Loading or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment